version: '3'

services:
  web:
    container_name: Tactics1994
    build: .
    ports:
      - "1485:80"
    restart: always

  db:
    container_name: Tactics1994-db
    build:
      context: ./
      dockerfile: DockerfileDB
    ports:
      - "1486:3306"
    environment:
      MYSQL_ROOT_PASSWORD: a4nIfNgCiR0z1VTjq8fM
    restart: always

  bin:
    container_name: Tactics1994-bin
    build:
      context: ./
      dockerfile: DockerfileBin
    ports:
      - "1487:8843/udp"
    restart: always